Jump to content
Siwat2545

[support] Siwat's Docker Repository

321 posts in this topic Last Reply

Recommended Posts

6 hours ago, dstanley said:

I am using your Homebridge with Gui docker - have been quite sucessful - but a new NPM that i want to use throws this error:

[4/21/2020, 10:02:16 PM] Error: Plugin /usr/lib/node_modules/homebridge-isy requires a HomeBridge version of >=0.4.53 which does not satisfy the current HomeBridge version of 0.4.50. You may need to upgrade your installation of HomeBridge.

 

Is there any chance of getting the main docker pull to have this latest Homebridge version?

 

Without this plugin the install is 0.4.50 and updates fine AFTER it is running - I need it to be 0.4.53 on the docker pull.

 

Thanks for your work!

 

Base Container Updated

Share this post


Link to post
15 hours ago, Siwat2545 said:

Base Container Updated

Thank you SO much - this helped to a point - now the plugin developer is telling me I need to run the Homebrisge@Beta to use his work.

Is there some possible way to have this added to the docker as an option?

Share this post


Link to post
On 4/22/2020 at 4:32 AM, Siwat2545 said:

Base Container Updated

Is it possible to update the base container again?

There have been several updates made that would help in the base install.

Thanks!

Share this post


Link to post
On 3/9/2020 at 3:05 AM, btrcp2000 said:

Set this up a few weeks ago and have noticed some strangeness that began immediately.  None of this makes sense, but it didn't start happening until after Adguard.  I set up the docker, gave it its own IP, and set my Ubiquiti USG to use that same IP as its DNS, with 127.0.0.1 as a secondary DNS.  I know it works as I can of course see it in the Adguard web page, and it does block the ads on specific sites I was hoping for.  I have not done anything custom yet.

 

Here's the weirdness:

  • Reddit cannot connect in the mornings, around 6am, for some reason.  It's fine other times
  • Google maps is intermittent, sometimes it works, sometimes it can't connect either.
  • Netflix comes and goes too on specific computers, but not Android devices (shieldTV)

These are not issues outside my own network.  IE, when reddit loses connection in the morning, I just shut off wifi on y phone, and it connects immediately via the cell network.

 

Also, what is the difference between using the docker and just setting my routers DNS to Adguard's address?  Customization?

 

TIA

 

 

 

 

 

How did you set the IP address manually? When i try it nothing works :(

Share this post


Link to post

@Siwat2545  I had made a change to my HomeBridge with Gui instance to add another plugin, but when the docker app rebuilt, it reverted the homebridge executable to pre 1.0 and it caused my xiaomi plugin to fail.   What's the latest binary version in your repository?

Thanks!

Share this post


Link to post

I tried to make a switch from the non-GUI version to the GUI (pointed the config to the old appdata directory but started with a fresh container). It's running and working, but I can't access the GUI at all. Any suggestions? I manually added the port but nada.

Share this post


Link to post
On 5/11/2020 at 6:33 PM, Monteroman said:

@Siwat2545 I had made a change to my HomeBridge with Gui instance to add another plugin, but when the docker app rebuilt, it reverted the homebridge executable to pre 1.0 and it caused my xiaomi plugin to fail. What's the latest binary version in your repository?

Thanks!

image.png.7dc0a45bf99cd4d51a0803708c086358.png

The homebridge version is the latest from npm @1.0.4

Share this post


Link to post
On 5/13/2020 at 1:37 AM, kaiguy said:

I tried to make a switch from the non-GUI version to the GUI (pointed the config to the old appdata directory but started with a fresh container). It's running and working, but I can't access the GUI at all. Any suggestions? I manually added the port but nada.

add

{
      "platform": "config",
      "name": "Config",
      "port": 8124,
      "sudo": true
    }

to your platform

refer to https://github.com/SiwatINC/unraid-ca-repository/blob/master/docker-template/config.json

Share this post


Link to post
Posted (edited)

Hi there!
I'm a big fan of your homebridge with gui  docker container. It worked really well for me until I restarted today. Suddenly I get this error: "npm ERR! code ENOVERSIONS
npm ERR! No valid versions available for homebridge-wemo
npm ERR! A complete log of this run can be found in:
npm ERR! /root/.npm/_logs/2020-05-14T18_42_19_131Z-debug.log"

 

when I check the log I see this: https://pastebin.com/5DRVSDEA

The container stops right after the error, I can't to anything via terminal. Removing the image and reinstalling it didn't help. 

Edited by kralwal
Corrections

Share this post


Link to post
10 hours ago, kralwal said:

Hi there!
I'm a big fan of your homebridge with gui  docker container. It worked really well for me until I restarted today. Suddenly I get this error: "npm ERR! code ENOVERSIONS
npm ERR! No valid versions available for homebridge-wemo
npm ERR! A complete log of this run can be found in:
npm ERR! /root/.npm/_logs/2020-05-14T18_42_19_131Z-debug.log"

 

when I check the log I see this: https://pastebin.com/5DRVSDEA

The container stops right after the error, I can't to anything via terminal. Removing the image and reinstalling it didn't help. 

The author of the plug-in "homebridge-wemo" deprecated his plugin. It's npm page nolonger exist  https://www.npmjs.com/package/homebridge-wemo Please delete it from the plug-in list

Share this post


Link to post
3 hours ago, Siwat2545 said:

The author of the plug-in "homebridge-wemo" deprecated his plugin. It's npm page nolonger exist  https://www.npmjs.com/package/homebridge-wemo Please delete it from the plug-in list

Ok, thank you very much! 
 

another thing I noticed was that whenever I restarted my server all my lights in HomeKit were gone, I had to restart my container so it updates. After that I had to reconfigure my whole setup. Is there an error on my end?

Share this post


Link to post
13 hours ago, Siwat2545 said:

The author of the plug-in "homebridge-wemo" deprecated his plugin. It's npm page nolonger exist  https://www.npmjs.com/package/homebridge-wemo Please delete it from the plug-in list

For anyone new to unRAID/Docker (like me), this means go into the Docker Settings in unRAID and edit your Homebridge GUI docker container. Change the 'Plugins' option from "homebridge-pilight homebridge-info homebridge-wemo" to "homebridge-pilight homebridge-info".

 

When I restarted after the above, I was getting a plugin error with SmartThings (Error: The requested platform 'homebridge-smartthings.SmartThings' was not registered by any plugin.). I was able to resolve it by updating Homebridge (sudo npm install homebridge homebridge-smartthings -g) and restarting the docker.

Share this post


Link to post
On 4/22/2020 at 9:32 AM, Siwat2545 said:

Base Container Updated

Hi silly question, is there a way to rollback to the previous build?

I have a plugin that does not work yet with homebridge 1.0.

Kind regards

Share this post


Link to post
3 hours ago, boysim said:

Hi silly question, is there a way to rollback to the previous build?

I have a plugin that does not work yet with homebridge 1.0.

Kind regards

in plugins field add  homebridge@0.4.53 to the list

Share this post


Link to post

With the HomeBridgeUI - Every time there is an update for the Docker, it wipes out my setup and I have to re-add everything or use the Config tool to recover a backup.  When this is done, all the plugins return to a "new" state and have to be added back to their correct room, and I also lose all automations that were setup with them. Is there a way around this - or am I doing something wrong?

Share this post


Link to post
1 hour ago, zarfx4 said:

With the HomeBridgeUI - Every time there is an update for the Docker, it wipes out my setup and I have to re-add everything or use the Config tool to recover a backup.  When this is done, all the plugins return to a "new" state and have to be added back to their correct room, and I also lose all automations that were setup with them. Is there a way around this - or am I doing something wrong?

This have not happened to me, but I will take a look at this problem and report back to you soon.

Share this post


Link to post
6 hours ago, Siwat2545 said:

This have not happened to me, but I will take a look at this problem and report back to you soon.

Would it do this if I installed my plugins through the Config UI only and did not have the npm packages listed in the Docker setup variable? That’s the only “non standard “ thing I have done.

Share this post


Link to post
Would it do this if I installed my plugins through the Config UI only and did not have the npm packages listed in the Docker setup variable? That’s the only “non standard “ thing I have done.
Yes, you need to use npm-packages for packages to be persistent

Sent from my Pixel 3 using Tapatalk

Share this post


Link to post

I'm trying out homebridge w/ gui and have been rebuilding this over and over.. after each successful setup and I restart the container, I get this and web gui is no longer accessable

 

(node:350) UnhandledPromiseRejectionWarning: Login Error: TypeError: Cannot read property 'serial' of undefined
(node:350) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block, or by rejecting a promise which was not handled with .catch(). (rejection id: 1)
(node:350) [DEP0018] DeprecationWarning: Unhandled promise rejections are deprecated. In the future, promise rejections that are not handled will terminate the Node.js process with a non-zero exit code.

 

Share this post


Link to post
2 hours ago, ziggie216 said:

I'm trying out homebridge w/ gui and have been rebuilding this over and over.. after each successful setup and I restart the container, I get this and web gui is no longer accessable

 


(node:350) UnhandledPromiseRejectionWarning: Login Error: TypeError: Cannot read property 'serial' of undefined
(node:350) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block, or by rejecting a promise which was not handled with .catch(). (rejection id: 1)
(node:350) [DEP0018] DeprecationWarning: Unhandled promise rejections are deprecated. In the future, promise rejections that are not handled will terminate the Node.js process with a non-zero exit code.

 

Can you try selectively removing plugins to find out which plugin is causing issue?

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.